activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Reinhold <brianreinh...@lampreynetworks.com>
Subject Building with jetty 9 support
Date Thu, 21 Nov 2013 13:22:20 GMT
The current binary release does not support jetty 9 and my base server uses
jetty 9, so I first went to get the source code to see if I modify for jetty
9 support and tried to build for eclipse using mvn eclipse:eclipse and it
failed getting the dependencies for the apollo-dto project. Then I saw that
there was a branch
'activemq-apollo-posta-jetty9' done by one of the developers that already
had jetty 9 support. So I tried to build that and after invoking mvn
eclipse:eclipse I got the same error when downloading the dependencies for
apollo-dto. The error is (among a lot of others):

[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-antrun-plugin:1.7:run (default) on project
apollo-dto: An Ant BuildExc
eption has occured: taskdef A class needed by class
com.sun.tools.jxc.SchemaGenTask cannot be found:
com/sun/mirror/apt/AnnotationPr
ocessorFactory

Maven is one of the greatest black boxes of confusion for me and experience
has shown that 90% of the problems are due to broken links in the pom files.
I do have maven 3.1.0 installed.

Has anyone else experienced this error and do you know what the correct link
or fix to the pom file might be?

Thanks,

Brian



--
View this message in context: http://activemq.2283324.n4.nabble.com/Building-with-jetty-9-support-tp4674724.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message